---
title: "Change user details"
url: "https://docs.signnow.com/docs/user/operations/update-user-info"
type: "endpoint"
section: "user"
slug: "user/operations/update-user-info"
method: "PUT"
path: "/user"
operation_id: "update-user-info"
authorization: "bearer"
---

# Change user details

`PUT /user`

Updates user informaition i.e. first name, last name

## Authorization

bearer

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "password": {
      "type": "string"
    },
    "last_name": {
      "type": "string"
    },
    "first_name": {
      "type": "string"
    },
    "logout_all": {
      "type": "string",
      "description": "if \"true\" - all user tokens with \"scope =*\" expire\n\nif \"false\" - all user tokens except current one are expired \n\nNote: parameter must have string format. \n\nDefault value - \"true\""
    },
    "old_password": {
      "type": "string",
      "description": "if \"password\" parameter is added to the body, then this one is required"
    }
  }
}
```

**Example** (`application/json`)

```json
{
  "password": "evenstongerone",
  "last_name": "last_name",
  "first_name": "first_name",
  "logout_all": "true",
  "old_password": "verystrongpassword"
}
```

## Responses

### 200

* Correct change of the first and last name
* First\last name is a space
* Too long last name more than 64 chars is cut to 64 chars
* Correct change password
* Old password is empty 

**Example** (`Old password is empty`)

```json
{
  "id": "unique_id",
  "last_name": "last_name",
  "first_name": "fist_name"
}
```

**Example** (`Correct change password`)

```json
{
  "id": "unique_id",
  "last_name": "last_name",
  "first_name": "first_name"
}
```

**Example** (`First\last name is a space`)

```json
{
  "id": "unique_id",
  "last_name": "",
  "first_name": ""
}
```

**Example** (`Correct change of the first and last name`)

```json
{
  "id": "unique_id",
  "last_name": "new_last_name",
  "first_name": "new_first_name"
}
```

**Example** (`Too long last name more than 64 chars is cut to 64 chars`)

```json
{
  "id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "last_name": "New last name",
  "first_name": "123456789_123456789_123456789_123456789_123456789_123456789_1234"
}
```

### 400

* Too long fist name (first name more than 64 charters)
* Incorrect old password 
* The value of "old_password" is a space
* New password is empty 
* The value of "password" is a space
* User password which doesn't respect the rules added to "password_creation_rules" if there are any
* airSlate is not reachable

**Example** (`New password is empty `)

```json
{
  "errors": [
    {
      "code": 65563,
      "message": "Must provide password"
    }
  ]
}
```

**Example** (`Incorrect old password `)

```json
{
  "errors": [
    {
      "code": 65563,
      "message": "Incorrect old password"
    }
  ]
}
```

**Example** (`airSlate is not reachable`)

```json
{
  "code": 5001,
  "message": "Temporary unable to process this request. Please try again later."
}
```

**Example** (`The value of "password" is a space`)

```json
{
  "errors": [
    {
      "code": 65563,
      "message": "Must provide password"
    }
  ]
}
```

**Example** (`The value of "old_password" is a space`)

```json
{
  "errors": [
    {
      "code": 65563,
      "message": "Incorrect old password"
    }
  ]
}
```

**Example** (`Too long fist name (first name more than 64 charters)`)

```json
{
  "errors": [
    {
      "code": 65564,
      "message": "First name is too long"
    }
  ]
}
```

**Example** (`User password which doesn't respect the rules added to "password_creation_rules" if there are any`)

```json
{
  "errors": [
    {
      "code": 65662,
      "message": "Password must contain at least one letter. Password Policy: Passwords must contain one letter, one number and one special character. Passwords must be at minimum 8 characters long. When updating passwords, reusing a password form the last 12 passwords is not allowed."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/user" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"password": "evenstongerone", "last_name": "last_name", "first_name": "first_name", "logout_all": "true", "old_password": "verystrongpassword"}'
```

---
*Full reference: https://docs.signnow.com/docs/user/operations/update-user-info*
